package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.algorithm.AlgorithmParameter;
import api.common.pojo.param.project.MultiSimulationProjectParam;
import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.po.algorithm.AlgorithmPO;
import api.common.pojo.po.project.MultiSimulationProjectPO;
import api.common.pojo.vo.algorithm.AlgorithmVO;
import api.common.pojo.vo.algorithm.RunningProjectVO;
import api.common.pojo.vo.project.MultiSimulationProjectVO;
import api.common.pojo.vo.project.SimulationManualProjectVO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface MultiSimulationProjectMapper {
    @Select("<script>" +
        "select id,project_key,project_name,project_status,create_time from multi_simulation_project where deleted = 0 " +
        "<if test='projectKey != null'> " +
        " AND project_key = #{projectKey}" +
        "</if>" +
        "<if test='projectName != null'> " +
        " AND project_name = #{projectName}" +
        "</if>" +
        "<if test='projectStatus != null'> " +
        " AND project_status = #{projectStatus}" +
        "</if>" +
        "order by create_time desc" +
        "</script>")
    List<MultiSimulationProjectVO> selectProjectList(MultiSimulationProjectParam param);


    @Insert("insert into multi_simulation_project (id,project_key,project_name,project_description,project_max_seconds,project_status) values" +
        "(#{id},#{projectKey},#{projectName},#{projectDescription},#{projectMaxSeconds},#{projectStatus})")
    int  addMultiSimulationProject(MultiSimulationProjectPO projectPO);

}
